### Method

# AppStreamCompose Compose run

#### Declaration [src]

    GPtrArray*
    asc_compose_run (
      AscCompose* compose,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Process the registered units and generate catalog metadata from found components.

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `AscResult*`

The results, or `NULL` on error.

The data is owned by the instance.